Bug 1019613 - openldap does not work after libdb rebase
openldap does not work after libdb rebase
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matus Honek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-16 03:23 EDT by Jan Synacek
Modified: 2016-07-19 06:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 06:29:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2013-10-16 03:23:23 EDT
Description of problem:
There is a long standing issue with openldap and libdb rebases. The openldap code checks the exact libdb version and fails if it doesn't equal to the version that the server was linked against.

It should be enough to check only major and minor version numbers. The patch level shouldn't be necessary to check.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Link openldap against one version of BDB
2. Install another version of BDB that differs in version in any way
3. Run slapd

Actual results:
slapd fails with a message like this:

"bdb_back_initialize: BDB library version mismatch: expected Berkeley DB 5.3.21: (May 11, 2012), got Berkeley DB 5.3.28: (September  9, 2013)"

Expected results:
slapd runs as expected when libdb versions differ only in the patch level.
Comment 1 Jan Synacek 2013-10-16 03:31:59 EDT
Upstream discussion:
Comment 2 Jan Synacek 2013-10-17 02:32:38 EDT
Apparently, the patch level check *is* necessary, because libdb doesn't use the same versioning as other system libraries do and can change APIs between patch levels.
Comment 3 Jaroslav Reznik 2015-03-03 11:56:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
Comment 4 Fedora Admin XMLRPC Client 2015-04-29 06:50:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 06:29:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.